
Foreman - Bug #1682

EC2: SSH key pair generation

06/13/2012 04:13 PM - Ashley Penney

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

During testing we discovered the following issues:

If you edit a region to another it won't generate new keys.

It did not successfully clean up an old key pair.

I lumped these together as the fix to one will probably fix the other.  Maybe there should be an option to clean up all keys and

regenerate them for all current compute resources.

Related issues:

Related to Foreman - Bug #4417: Editing Compute Resource breaks host creation New 02/23/2014

History

#1 - 06/21/2012 04:44 AM - Ohad Levy

- Category set to Compute resources

#2 - 11/08/2012 02:53 AM - Vincent Brouillet

same here. So glad I found your bug, then I deleted the computer resource and recreated it.

#3 - 11/13/2012 12:10 PM - Greg Sutcliffe

- Target version set to Bug scrub

#4 - 10/16/2013 04:04 PM - Greg Sutcliffe

- Target version deleted (Bug scrub)

#5 - 09/26/2014 07:13 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - EC2

#6 - 09/26/2014 07:27 AM - Dominic Cleal

- Related to Bug #4417: Editing Compute Resource breaks host creation added
